<?php
define('WP_USE_THEMES', false);
require_once ('../../../wp-load.php');

$error = true;
$return = array();
$codigoRespuesta = 'E';
$mensajeRespuesta = 'Error';
$respuesta = '';

if (!empty($_POST)){
    if( $_POST["ll"] && $_POST["ca"]){
        $ll = $_POST['ll'];
        $ca = $_POST['ca'];
        session_id($ll);
        session_start();
        $caO = $_SESSION['ca'];
        //echo $ll . '-' . $ca . '-' . $caO;
        if($ca ===  $caO){
            if( $_POST["sitioID"] && $_POST["postID"] && $_POST["tipo"] && $_POST["fuente"]){
                $sitioID = $_POST["sitioID"];
                $postID = $_POST["postID"];
                $tipo = $_POST["tipo"];
                $fuente = $_POST["fuente"];
                $altoIframe = $_POST["altoIframe"];
                switch_to_blog($sitioID);
                if($tipo === 'calendario'){
                    $respuesta = printContentIframeCalendario();
                }elseif($tipo === 'noticias'){
                    $respuesta = printContentIframeNoticias($fuente,$altoIframe);
                }else{
                    global $post;
                    $post = get_post( $postID);
                    setup_postdata($post); 

                    $my_excerpt = get_the_excerpt();
                    if ( '' != $my_excerpt ) {
                        $respuesta = printContentIframe(get_the_ID(),$my_excerpt,$altoIframe);
                    }
                }
                $error = false;
                $codigoRespuesta = 'S';
                $mensajeRespuesta = 'OK';
                restore_current_blog();
            }
        }
    }
}

$return["codigorespuesta"]=$codigoRespuesta;
$return["mensajerespuesta"]=$mensajeRespuesta;
$return["respuestas"]=$respuesta;

if($error){
    header("HTTP/1.0 404 Not Found");
    echo "PHP continues.\n";
    die();
}else{
    header( "Content-Type: application/json; charset=UTF-8" );

    print_r(json_encode($return,JSON_UNESCAPED_UNICODE));
}

